# Uses of Record Class
org.apache.lucene.util.bkd.BKDRadixSelector.PathSlice

Packages that use BKDRadixSelector.PathSlice
Package
Description
org.apache.lucene.util.bkd
Block KD-tree, implementing the generic spatial data structure described in this paper.

- ## Uses of BKDRadixSelector.PathSlice in org.apache.lucene.util.bkd

  Methods in org.apache.lucene.util.bkd with parameters of type BKDRadixSelector.PathSlice
  Modifier and Type
  Method
  Description
  `byte[]`
  BKDRadixSelector.`select(BKDRadixSelector.PathSlice points, BKDRadixSelector.PathSlice[] partitionSlices, long from, long to, long partitionPoint, int dim, int dimCommonPrefix)`
  It uses the provided `points` from the given `from` to the given `to` to populate the `partitionSlices` array holder (length > 1) with two path slices so the path slice at position 0 contains `partition - from` points where the value of the `dim` is lower or equal to the `to -from` points on the slice at position 1.